Subject: Can I set up a GIT server w/o administration privileges on a Solaris machine?

From: stuart <[email-masked]>
Date: Thu, 04 Jun 2009 11:35:50 -0500

Hi...

Can I set up a GIT server w/o administration privileges on a Solaris 
machine?

I think this should be a simple question to answer.  I have looked in 
the archives - but most, if not all, who post are setting up GIT servers 
  using administration privileges.  I have a shell account on a Solaris 
box where I can create web pages and trigger the execution of scripts 
from those pages...but no administration right.  So, I started down the 
path of privately installing software.  However, it became apparent that 
I need git listing on this port and running that daemon...both of which 
are almost impossible with out administration rights.

So, is there a way to get some basic GIT functionality through serving 
up web pages and executing CGI scripts.  Is there somewhere I can read 
up on this type of server installation?

-thank you